Subject: [PATCH 12/12] ARM: tegra: Convert PMC to a driver

From: [email-masked] (Thierry Reding)
Date: Mon, 21 Jul 2014 15:39:43 +0200

On Mon, Jul 21, 2014 at 09:16:19AM -0400, Tejun Heo wrote:
> On Mon, Jul 21, 2014 at 03:12:34PM +0200, Thierry Reding wrote:
> > Adding Tejun, since he took this into his tree on Friday I think, just a
> > few hours after I sent out pull requests for this.
> > 
> > I hadn't considered this build dependency. We could resolve this in two
> > ways I think:
> > 
> > 	- merge the for-3.17/fuse-move branch from the Tegra tree into
> > 	  the libata tree and apply Arnd's patch to the libata tree
> 
> I can pull the tegra tree into the libata if the tegra maintainer is
> okay with it.

It's fine with me, but maybe give Stephen, Arnd and Olof an opportunity
to object.

If you plan to go ahead with merging it in, this would be the right
signed tag to use:

	https://git.kernel.org/cgit/linux/kernel/git/tegra/linux.git/tag/?id=tegra-for-3.17-soc

And then you simply need to replace #include <linux/tegra-powergate.h>
with #include <soc/tegra/pmc.h> as Arnd showed.

Thierry
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 819 bytes
Desc: not available
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20140721/11965731/attachment.sig>